Subject: ports/devel/qt4-designer needs
From: "Julian H. Stacey" <jhs@@@berklix.com>
To: kde@@@FreeBSD.org
Cc: jhs@@@berklix.com
Date: Sat, 09 Feb 2013 17:42:30 +0100

Hi kde@@@ list as MAINTAINER= of ports/devel/qt4-designer/

9.1-RELEASE needed manualy installed ports/devel/dbus-qt4
to avoid failure of cd /usr/ports/devel/qt4-designer ; make install

Is adding
	LIB_DEPENDS+=	devel/dbus-qt4
the way to go ?  Maybe not as I see
/usr/ports/Mk/bsd.qt.mk:dbus_DEPENDS= ${QT_LIBDIR}/libQtDBus.so
	dbus_PORT=  devel/dbus-qt4
	dbus_DEPENDS=   ${QT_LIBDIR}/libQtDBus.so
I'm not familiar with QT4 macros, 
Can someone familiar fix it please ?
PS please keep cc: jhs@@@berklix.com as I'm not on kde@@@ list, Thanks

-------
===>  Building for qt4-designer-4.8.2
cd src/ && make -f Makefile
cd uitools/ && make -f Makefile
cd lib/ && make -f Makefile
cd components/ && make -f Makefile
cd lib/ && make -f Makefile
cd designer/ && make -f Makefile
cd plugins/ && make -f Makefile
cd widgets/ && make -f Makefile
cd qwebview/ && make -f Makefile
cd phononwidgets/ && make -f Makefile
rm -f libphononwidgets.so
g++ -Wl,-rpath-link,/usr1/release/9.1-RELEASE/ports/devel/qt4-designer/work/qt-everywhere-opensource-src-4.8.2/lib -Wl,-O1 -pthread -Wl,-rpath,/usr/local/lib/qt4 -Wl,-rpath,/usr/local/lib/qt4 -shared -o libphononwidgets.so .obj/release-shared/videoplayerplugin.o  .obj/release-shared/videoplayertaskmenu.o  .obj/release-shared/seeksliderplugin.o  .obj/release-shared/volumesliderplugin.o  .obj/release-shared/phononcollection.o  .obj/release-shared/moc_videoplayerplugin.o  .obj/release-shared/moc_videoplayertaskmenu.o  .obj/release-shared/moc_seeksliderplugin.o  .obj/release-shared/moc_volumesliderplugin.o  .obj/release-shared/qrc_phononwidgets.o   -L/usr1/release/9.1-RELEASE/ports/devel/qt4-designer/work/qt-everywhere-opensource-src-4.8.2/lib -L/usr/local/lib/qt4 -L/usr/local/lib -lphonon -L/usr1/release/9.1-RELEASE/ports/devel/qt4-designer/work/qt-everywhere-opensource-src-4.8.2/lib -L/usr/local/lib/qt4 -L/usr/local/lib -lQtDBus -lQtScript -lQtXml -lQtGui -lQtCore -lQtDesigner 
/usr/bin/ld: cannot find -lQtDBus
*** [../../../../../plugins/designer/libphononwidgets.so] Error code 1
-------

Cheers,
Julian
-- 
Julian H. Stacey, BSD Unix Linux C Sys Eng Consultant, Munich http://berklix.com
 Reply below not above, like a play script.  Indent old text with "> ".
 Send plain text.  No quoted-printable, HTML, base64, multipart/alternative.